﻿Friend Class Constants
    Private Sub New()
    End Sub

    Public Const APP_NAME As String = "MostRecentlyUsed"
    Public Const VS_REG_VALUE_NAME As String = "Software\Microsoft\VisualStudio"
    Public Const MAX_ITEMS_TO_STORE_REG_VALUE_NAME As String = "MaxItemsToStore"
    Public Const EXTENDED_MRU_ITEM As String = "ExtendedMRUItem"

    Public Class StartupOptions
        Private Sub New()
        End Sub

        Public Const MAXIMIZED As String = "MAX"
        Public Const CUSTOM_SIZE As String = "CUSTOM"
    End Class

    Friend Class MergeChangeset
        Private Sub New()
        End Sub

        Public Class BranchDataTableColumns
            Private Sub New()
            End Sub

            Public Const SELECTED As String = "Selected"
            Public Const CHANGESET_ID As String = "Changeset #"
            Public Const CHANGESET_DATE As String = "Changeset Date"
            Public Const CHANGESET_USER As String = "User"
            Public Const CHANGESET_COMMENT As String = "Comment"
            Public Const CHANGESET_LINK As String = "Link"
        End Class

        Public Class ChangesetChangeDataTableColumns
            Private Sub New()
            End Sub

            Public Const CHANGE_NAME As String = "Name"
            Public Const CHANGE_TYPES As String = "Change"
            Public Const ITEM_IN_FOLDER As String = "Folder"
        End Class

        Public Class ChangesetWorkItemDataTableColumns
            Private Sub New()
            End Sub

            Public Const WORK_ITEM_ID As String = "Work Item #"
            Public Const WORK_ITEM_TYPE As String = "Type"
            Public Const WORK_ITEM_TITLE As String = "Title"
            Public Const WORK_ITEM_STATE As String = "State"
            Public Const WORK_ITEM_LINK As String = "Link"
        End Class
    End Class

    Friend Class GacView
        Private Sub New()
        End Sub

        Public Class GacViewDataTableColumns
            Private Sub New()
            End Sub

            Public Const SELECTED As String = "Selected"
            Public Const ASSEMBLY_NAME As String = "AssemblyName"
            Public Const VERSION As String = "Version"
            Public Const CULTURE As String = "Culture"
            Public Const PUBLIC_TOKEN As String = "PublicKeyToken"
            Public Const PROCESSOR_ARCHITECTURE As String = "ProcessorArchitecture"
            Public Const FILE_VERSION As String = "FileVersion"
            Public Const MODIFIED_DATE As String = "ModifiedDate"
            Public Const FILE_LOCATION As String = "FileLocation"
            Public Const FILE_SIZE As String = "FileSize"
            Public Const FILE_DESCRIPTION As String = "FileDescription"
            Public Const FILE_COMPANY As String = "Company"
            Public Const FILE_PRODUCT_NAME As String = "ProductName"
        End Class
    End Class
End Class
